TransportServiceDescriptor (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.service.TransportServiceDescriptor interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.service
Interface TransportServiceDescriptor

All Superinterfaces:
  ServiceDescriptor

All Known Implementing Classes:
  DefaultTransportServiceDescriptor

    public interface TransportServiceDescriptor

extends ServiceDescriptor

`TransportServiceDescriptor` describes the necessary information for creating a connector from a service descriptor. A service descriptor should be located at META-INF/services/org/mule/providers/ where protocol is the protocol of the connector to be created The service descriptor is in the form of string key value pairs and supports a number of properties, descriptions of which can be found here: http://www.muledocs.org/Transport+Service+Descriptors.

Field Summary
`static String` | `OSGI_HEADER_TRANSPORT`

Method Summary
`Connector` | `createConnector()`
`MessageDispatcherFactory` | `createDispatcherFactory()`
`EndpointURIBuilder` | `createEndpointBuilder()`
`List` | `createInboundTransformers()`
`MessageAdapter` | `createMessageAdapter(Object message)`
`MessageReceiver` | `createMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint)`
`MessageReceiver` | `createMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint, Object[] args)`
`List` | `createOutboundTransformers()`
`MessageRequesterFactory` | `createRequesterFactory()`
`List` | `createResponseTransformers()`
`SessionHandler` | `createSessionHandler()`
`TransactionFactory` | `createTransactionFactory()`
`Properties` | `getExceptionMappings()`
`void` | `setExceptionMappings(Properties props)`

Methods inherited from interface org.mule.api.registry.ServiceDescriptor
`getService`

Field Detail

### OSGI_HEADER_TRANSPORT

    static final String OSGI_HEADER_TRANSPORT

See Also:
  Constant Field Values

Method Detail

### createMessageAdapter

    MessageAdapter createMessageAdapter(Object message)
                                        throws TransportServiceException

  Throws:
    `TransportServiceException`

### createSessionHandler

    SessionHandler createSessionHandler()
                                        throws TransportServiceException

  Throws:
    `TransportServiceException`

### createMessageReceiver

    MessageReceiver createMessageReceiver(Connector connector,
                                          Service service,
                                          InboundEndpoint endpoint)
                                          throws MuleException

  Throws:
    `MuleException`

### createMessageReceiver

    MessageReceiver createMessageReceiver(Connector connector,
                                          Service service,
                                          InboundEndpoint endpoint,
                                          Object[] args)
                                          throws MuleException

  Throws:
    `MuleException`

### createDispatcherFactory

    MessageDispatcherFactory createDispatcherFactory()
                                                     throws TransportServiceException

  Throws:
    `TransportServiceException`

### createRequesterFactory

    MessageRequesterFactory createRequesterFactory()
                                                   throws TransportServiceException

  Throws:
    `TransportServiceException`

### createTransactionFactory

    TransactionFactory createTransactionFactory()
                                                throws TransportServiceException

  Throws:
    `TransportServiceException`

### createConnector

    Connector createConnector()
                              throws TransportServiceException

  Throws:
    `TransportServiceException`

### createInboundTransformers

    List createInboundTransformers()
                                   throws TransportFactoryException

  Throws:
    `TransportFactoryException`

### createOutboundTransformers

    List createOutboundTransformers()
                                    throws TransportFactoryException

  Throws:
    `TransportFactoryException`

### createResponseTransformers

    List createResponseTransformers()
                                    throws TransportFactoryException

  Throws:
    `TransportFactoryException`

### createEndpointBuilder

    EndpointURIBuilder createEndpointBuilder()
                                             throws TransportFactoryException

  Throws:
    `TransportFactoryException`

### setExceptionMappings

    void setExceptionMappings(Properties props)

### getExceptionMappings

    Properties getExceptionMappings()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.